Loading...
Searching...
No Matches
ANN.h File Reference
`#include "ANN/ANNExport.h"`
`#include <cstdlib>`
`#include <cmath>`
`#include <iostream>`
`#include <cstring>`
`#include <climits>`
`#include <cfloat>`
Include dependency graph for ANN.h:

Go to the source code of this file.

## Data Structures

class | ANNbd_tree
class | ANNbruteForce
class | ANNkd_tree
class | ANNpointSet

## Macros

#define | ANN_DIFF(x, y)
#define | ANN_POW(v)
#define | ANN_ROOT(x)
#define | ANN_SUM(x, y)
#define | ANNcopyright "David M. Mount and Sunil Arya"
#define | ANNlatestRev "Jan 27, 2010"
#define | ANNversion "1.1.2"
#define | ANNversionCmt ""

## Typedefs

typedef double | ANNcoord
typedef double | ANNdist
typedef ANNdist * | ANNdistArray
typedef int | ANNidx
typedef ANNidx * | ANNidxArray
typedef ANNkd_node * | ANNkd_ptr
typedef ANNcoord * | ANNpoint
typedef ANNpoint * | ANNpointArray

## Enumerations

enum | ANNbool { ANNfalse = 0 , ANNtrue = 1 }
enum | ANNshrinkRule { ANN_BD_NONE = 0 , ANN_BD_SIMPLE = 1 , ANN_BD_CENTROID = 2 , ANN_BD_SUGGEST = 3 }
enum | ANNsplitRule { ANN_KD_STD = 0 , ANN_KD_MIDPT = 1 , ANN_KD_FAIR = 2 , ANN_KD_SL_MIDPT = 3 , ANN_KD_SL_FAIR = 4 , ANN_KD_SUGGEST = 5 }

## Functions

ANNLIB_EXPORT ANNpoint | annAllocPt (int dim, ANNcoord c=0)
ANNLIB_EXPORT ANNpointArray | annAllocPts (int n, int dim)
ANNLIB_EXPORT void | annClose ()
ANNLIB_EXPORT ANNpoint | annCopyPt (int dim, ANNpoint source)
ANNLIB_EXPORT void | annDeallocPt (ANNpoint &p)
ANNLIB_EXPORT void | annDeallocPts (ANNpointArray &pa)
ANNLIB_EXPORT ANNdist | annDist (int dim, ANNpoint p, ANNpoint q)
ANNLIB_EXPORT void | annMaxPtsVisit (int maxPts)

## Variables

const ANNbool | ANN_ALLOW_SELF_MATCH = ANNfalse
const double | ANN_DBL_MAX = DBL_MAX
const ANNdist | ANN_DIST_INF = ANN_DBL_MAX
const int | ANN_N_SHRINK_RULES = 4
const int | ANN_N_SPLIT_RULES = 6
const ANNidx | ANN_NULL_IDX = -1
const int | ANNcoordPrec = 15

## Macro Definition Documentation

## ANN_DIFF

#define ANN_DIFF | ( |  | x,
|  |  | y )

Value:
((y) - (x))

Definition at line 317 of file ANN.h.

## ANN_POW

#define ANN_POW | ( |  | v | ) |

Value:
((v)*(v))

Definition at line 314 of file ANN.h.

## ANN_ROOT

#define ANN_ROOT | ( |  | x | ) |

Value:
sqrt(x)

Definition at line 315 of file ANN.h.

## ANN_SUM

#define ANN_SUM | ( |  | x,
|  |  | y )

Value:
((x) + (y))

Definition at line 316 of file ANN.h.

## ANNcopyright

#define ANNcopyright "David M. Mount and Sunil Arya"

Definition at line 99 of file ANN.h.

## ANNlatestRev

#define ANNlatestRev "Jan 27, 2010"

Definition at line 100 of file ANN.h.

## ANNversion

#define ANNversion "1.1.2"

Definition at line 97 of file ANN.h.

## ANNversionCmt

#define ANNversionCmt ""

Definition at line 98 of file ANN.h.

## Typedef Documentation

## ANNcoord

typedef double ANNcoord

Definition at line 134 of file ANN.h.

## ANNdist

typedef double ANNdist

Definition at line 135 of file ANN.h.

## ANNdistArray

typedef ANNdist* ANNdistArray

Definition at line 355 of file ANN.h.

## ANNidx

typedef int ANNidx

Definition at line 151 of file ANN.h.

## ANNidxArray

typedef ANNidx* ANNidxArray

Definition at line 356 of file ANN.h.

## ANNkd_ptr

typedef ANNkd_node* ANNkd_ptr

Definition at line 682 of file ANN.h.

## ANNpoint

typedef ANNcoord* ANNpoint

Definition at line 353 of file ANN.h.

## ANNpointArray

typedef ANNpoint* ANNpointArray

Definition at line 354 of file ANN.h.

## Enumeration Type Documentation

## ANNbool

enum ANNbool

Enumerator
ANNfalse |
ANNtrue |

Definition at line 108 of file ANN.h.

## ANNshrinkRule

enum ANNshrinkRule

Enumerator
ANN_BD_NONE |
ANN_BD_SIMPLE |
ANN_BD_CENTROID |
ANN_BD_SUGGEST |

Definition at line 584 of file ANN.h.

## ANNsplitRule

enum ANNsplitRule

Enumerator
ANN_KD_STD |
ANN_KD_MIDPT |
ANN_KD_FAIR |
ANN_KD_SL_MIDPT |
ANN_KD_SL_FAIR |
ANN_KD_SUGGEST |

Definition at line 575 of file ANN.h.

## Function Documentation

## annAllocPt()

ANNLIB_EXPORT ANNpoint annAllocPt | ( | int | dim,
|  | ANNcoord | c = 0 )

## annAllocPts()

ANNLIB_EXPORT ANNpointArray annAllocPts | ( | int | n,
|  | int | dim )

## annClose()

ANNLIB_EXPORT void annClose | ( |  | ) |

## annCopyPt()

ANNLIB_EXPORT ANNpoint annCopyPt | ( | int | dim,
|  | ANNpoint | source )

## annDeallocPt()

ANNLIB_EXPORT void annDeallocPt | ( | ANNpoint & | p | ) |

## annDeallocPts()

ANNLIB_EXPORT void annDeallocPts | ( | ANNpointArray & | pa | ) |

## annDist()

ANNLIB_EXPORT ANNdist annDist | ( | int | dim,
|  | ANNpoint | p,
|  | ANNpoint | q )

## annMaxPtsVisit()

ANNLIB_EXPORT void annMaxPtsVisit | ( | int | maxPts | ) |

## Variable Documentation

## ANN_ALLOW_SELF_MATCH

const ANNbool ANN_ALLOW_SELF_MATCH = ANNfalse

Definition at line 213 of file ANN.h.

## ANN_DBL_MAX

const double ANN_DBL_MAX = DBL_MAX

Definition at line 94 of file ANN.h.

## ANN_DIST_INF

const ANNdist ANN_DIST_INF = ANN_DBL_MAX

Definition at line 175 of file ANN.h.

## ANN_N_SHRINK_RULES

const int ANN_N_SHRINK_RULES = 4

Definition at line 589 of file ANN.h.

## ANN_N_SPLIT_RULES

const int ANN_N_SPLIT_RULES = 6

Definition at line 582 of file ANN.h.

## ANN_NULL_IDX

const ANNidx ANN_NULL_IDX = -1

Definition at line 152 of file ANN.h.

## ANNcoordPrec

const int ANNcoordPrec = 15

Definition at line 198 of file ANN.h.

Generated on 1768596610 for elastix by 1.15.0 |